﻿@model DoorwaysMvcRunner.Models.StatusModel
@{
    ViewData["Title"] = "Status";
}
<h1>Status</h1>
<p>@Model.Message</p>
<p>Visit Count: @Model.VisitCount</p>
@if(String.IsNullOrEmpty(Model.Mark))
{
    <form action="@Url.Action("SetMark","Home")" method="post" enctype="multipart/form-data">
    <input type="text" name="Mark"/>
    <input type="submit" value="Make Mark"/>
    </form>
}
else
{
    <p>Mark: @Model.Mark @Html.ActionLink("(erase)", "EraseMark") </p>
}
<h2>Exits:</h2>
@foreach (var option in Model.Move.Options)
{
    <p>
        @Html.ActionLink($"{option.DirectionName} - {option.DoorName}","Move",new {id=option.Direction})
    </p>
}
@if (Model.Take.Options.Any()){
    <h2>On Ground:</h2>
    @foreach(var option in Model.Take.Options)
    {
        <p>
            @Html.ActionLink($"{option.ItemName}","Take",new {id=option.Index})
        </p>
    }
}
@if(Model.Inventory.Items.Any())
{
    <h2>In Inventory:</h2>
    @foreach(var item in Model.Inventory.Items)
    {
        <p>
            @item.ItemName x @item.Count
        </p>
    }
}
@if(Model.Creatures.Creatures.Any())
{
    <h2>Creatures:</h2>
    @foreach(var item in Model.Creatures.Creatures)
    {
        <p>@string.Format("{0} {1}/{2}",item.CreatureName,item.Body,item.MaxBody)</p>
    }
}
